org.apache.maven.scm.provider.clearcase

## Class ClearCaseScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.clearcase.ClearCaseScmProvider

All Implemented Interfaces:
  ScmProvider

    public class ClearCaseScmProvider
    extends AbstractScmProvider

Version:
  $Id: ClearCaseScmProvider.java 686199 2008-08-15 12:14:25Z vsiveton $
Author:
  Trygve Laugstøl, Emmanuel Venisse, Wim Deblauwe

### Field Summary

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseScmProvider()`

### Method Summary

Methods
`ChangeLogScmResult` `changelog(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckInScmResult` `checkin(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckOutScmResult` `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected EditScmResult` `edit(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`String` `getScmType()`
`ScmProviderRepository` `makeProviderScmRepository(String scmSpecificUrl, char delimiter)`
`boolean` `requiresEditMode()`
`protected StatusScmResult` `status(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`TagScmResult` `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected UpdateScmResult` `update(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, add, addListener, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, diff, edit, export, export, export, export, export, export, getLogger, getScmSpecificFilename, list, list, list, login, makeProviderScmRepository, remove, remove, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseScmProvider

    public ClearCaseScmProvider()

### Method Detail

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(String scmSpecificUrl,
                                                  char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### getScmType

    public String getScmType()

#### requiresEditMode

    public boolean requiresEditMode()

Specified by:
  `requiresEditMode` in interface `ScmProvider`
Overrides:
  `requiresEditMode` in class `AbstractScmProvider`

#### changelog

    public ChangeLogScmResult changelog(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                 throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    public CheckInScmResult checkin(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    public CheckOutScmResult checkout(ScmProviderRepository repository,
                             ScmFileSet fileSet,
                             CommandParameters parameters)
                               throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### update

    protected UpdateScmResult update(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                              throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    public TagScmResult tag(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                     throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### status

    protected StatusScmResult status(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                              throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### edit

    protected EditScmResult edit(ScmProviderRepository repository,
                     ScmFileSet fileSet,
                     CommandParameters parameters)
                          throws ScmException

Overrides:
  `edit` in class `AbstractScmProvider`
Throws:
  `ScmException`